<?php

namespace Application\Service\Extension\ValidatorV2\validators;

class UppercaseValidator extends BaseValidator
{
    /**
     * 开始验证-验证字符串是否都是大写。
     * @param $value
     * @param $attribute
     * @return null
     */
    public function valid($value, $attribute)
    {
        if (!ctype_upper($value)) {
            $this->error = [$this->message ?: '{attribute} 不是大写字符串.', [
                'attribute' => $attribute
            ]];
            return null;
        }
    }

}